Package io.dapr.v1

# Interface DaprProtos.ExecuteStateTransactionRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.ExecuteStateTransactionRequest`, `DaprProtos.ExecuteStateTransactionRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.ExecuteStateTransactionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsMetadata​(java.lang.String key)` | The metadata used for transactional operations.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The metadata used for transactional operations.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The metadata used for transactional operations.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The metadata used for transactional operations.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The metadata used for transactional operations.
  `DaprProtos.TransactionalStateOperation` | `getOperations​(int index)` | Required.
  `int` | `getOperationsCount()` | Required.
  `java.util.List<DaprProtos.TransactionalStateOperation>` | `getOperationsList()` | Required.
  `DaprProtos.TransactionalStateOperationOrBuilder` | `getOperationsOrBuilder​(int index)` | Required.
  `java.util.List<? extends DaprProtos.TransactionalStateOperationOrBuilder>` | `getOperationsOrBuilderList()` | Required.
  `java.lang.String` | `getStoreName()` | Required.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | Required.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getStoreName

    java.lang.String getStoreName()

         Required. name of state store.

    `string storeName = 1;`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

         Required. name of state store.

    `string storeName = 1;`
    Returns:
      The bytes for storeName.

  - ### getOperationsList

    java.util.List<DaprProtos.TransactionalStateOperation> getOperationsList()

         Required. transactional operation list.

    `repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

  - ### getOperations

    DaprProtos.TransactionalStateOperation getOperations​(int index)

         Required. transactional operation list.

    `repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

  - ### getOperationsCount

    int getOperationsCount()

         Required. transactional operation list.

    `repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

  - ### getOperationsOrBuilderList

    java.util.List<? extends DaprProtos.TransactionalStateOperationOrBuilder> getOperationsOrBuilderList()

         Required. transactional operation list.

    `repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

  - ### getOperationsOrBuilder

    DaprProtos.TransactionalStateOperationOrBuilder getOperationsOrBuilder​(int index)

         Required. transactional operation list.

    `repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

  - ### getMetadataCount

    int getMetadataCount()

         The metadata used for transactional operations.

    `map<string, string> metadata = 3;`

  - ### containsMetadata

    boolean containsMetadata​(java.lang.String key)

         The metadata used for transactional operations.

    `map<string, string> metadata = 3;`

  - ### getMetadata

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The metadata used for transactional operations.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrDefault

    java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The metadata used for transactional operations.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrThrow

    java.lang.String getMetadataOrThrow​(java.lang.String key)

         The metadata used for transactional operations.

    `map<string, string> metadata = 3;`